@media (min-width: 768px) {
  .student-team-management-wrapper #tooltipContainer.manage-student-password-tooltip .tooltip {
    max-width: 400px !important;
  }
  .student-team-management-wrapper #tooltipContainer.manage-student-password-tooltip .tooltip .tooltip-inner {
    max-width: 400px !important;
  }
}
@media (min-width: 768px) {
  .student-team-management-wrapper #account-filter-container > .input-select-wrapper {
    max-width: 20rem;
  }
}
.student-team-management-wrapper #account-filter-container > .input-select-wrapper select {
  font-size: 0.813rem;
  line-height: 1;
}
@media (min-width: 400px) {
  .student-team-management-wrapper #account-filter-container > .input-select-wrapper select {
    font-size: 0.938rem;
  }
}
@media (min-width: 576px) {
  .student-team-management-wrapper #account-filter-container > .input-select-wrapper select {
    font-size: 1rem;
  }
}
.student-team-management-wrapper #teacher-date-filter-section .teacher-date-filter-calendar-button {
  cursor: pointer;
}
.student-team-management-wrapper #teacher-date-filter-section .teacher-date-picker-label {
  font-size: 0.813rem;
  white-space: nowrap;
}
@media (min-width: 400px) {
  .student-team-management-wrapper #teacher-date-filter-section .teacher-date-picker-label {
    font-size: 0.938rem;
  }
}
@media (min-width: 576px) {
  .student-team-management-wrapper #teacher-date-filter-section .teacher-date-picker-label {
    font-size: 1rem;
    margin-bottom: 0;
  }
}
@media (min-width: 992px) {
  .student-team-management-wrapper #teacher-date-filter-section .teacher-date-picker-label {
    font-size: 1.2rem;
  }
}
.student-team-management-wrapper #teacher-date-filter-section .teacher-date-picker-label.cursor-default {
  cursor: default;
}
.student-team-management-wrapper #teacher-date-filter-section #teacher-data-end-date-filter-container.disabled svg, .student-team-management-wrapper #teacher-date-filter-section #teacher-data-end-date-filter-container.disabled label:first-of-type {
  cursor: not-allowed;
  color: #999;
}
.student-team-management-wrapper #teacher-date-filter-section .hydrated .duet-date__input-wrapper {
  display: none;
}
.student-team-management-wrapper #loading-table-animation-container > .modal-backdrop {
  opacity: 0.5;
  z-index: 1;
}
.student-team-management-wrapper button.btn.student-account-buttons,
.student-team-management-wrapper a.btn.student-account-buttons {
  text-shadow: none;
  font-size: 0.813rem;
  border: 2px solid #376394;
  background-color: var(--white);
  color: #376394;
}
.student-team-management-wrapper button.btn.student-account-buttons#student-account-options-button,
.student-team-management-wrapper a.btn.student-account-buttons#student-account-options-button {
  background-color: transparent;
  border: none;
}
.student-team-management-wrapper button.btn.student-account-buttons:not(#student-account-options-button):hover#teacher-date-filter-update-button:not(.disabled),
.student-team-management-wrapper a.btn.student-account-buttons:not(#student-account-options-button):hover#teacher-date-filter-update-button:not(.disabled) {
  background-color: #376394;
  color: var(--white);
}
.student-team-management-wrapper button.btn.student-account-buttons#teacher-date-filter-update-button.disabled,
.student-team-management-wrapper a.btn.student-account-buttons#teacher-date-filter-update-button.disabled {
  color: var(--gray-600);
  border: solid 2px var(--gray-600);
}
@media (min-width: 400px) {
  .student-team-management-wrapper button.btn.student-account-buttons,
  .student-team-management-wrapper a.btn.student-account-buttons {
    font-size: 0.938rem;
  }
}
@media (min-width: 576px) {
  .student-team-management-wrapper button.btn.student-account-buttons,
  .student-team-management-wrapper a.btn.student-account-buttons {
    font-size: 1rem;
  }
}
.student-team-management-wrapper .modal .modal-header {
  background: transparent;
  height: unset;
}
.student-team-management-wrapper .modal .modal-backdrop {
  opacity: 0.5;
}
.student-team-management-wrapper .modal .modal-footer .arrow-button.left-arrow-button:before {
  content: "<";
  padding-right: 0.4rem;
}
.student-team-management-wrapper .modal .modal-footer .arrow-button.right-arrow-button:after {
  content: ">";
  padding-left: 0.4rem;
}
.student-team-management-wrapper .modal .modal-footer .arrow-button:after, .student-team-management-wrapper .modal .modal-footer .arrow-button:before {
  display: flex;
  align-items: center;
  justify-content: center;
}
.student-team-management-wrapper .modal .manage-student-accounts-grey-border {
  border-top: 1px solid var(--gray-600);
}
.student-team-management-wrapper .modal #create-student-preview-account-details,
.student-team-management-wrapper .modal #modify-student-password-container {
  border-top: 0.1rem solid #d2d2d2;
}
@media (min-width: 768px) {
  .student-team-management-wrapper .modal #create-student-preview-account-details,
  .student-team-management-wrapper .modal #modify-student-password-container {
    background-color: #f3f3f3;
    border: 1px solid #bdbdbd;
    border-radius: 5px;
  }
}
.student-team-management-wrapper .modal #create-student-preview-account-details #create-student-preview-refresh-button .create-student-preview-refresh {
  display: flex;
  justify-content: center;
}
.student-team-management-wrapper .modal #create-student-preview-account-details #create-student-preview-refresh-button .create-student-preview-refresh #create-student-preview-refresh-all {
  width: 100%;
}
.student-team-management-wrapper .modal .modal-footer button.arrow-button {
  display: flex;
  justify-content: center;
  align-items: center;
}
.student-team-management-wrapper .modal .manage-student-account-list li {
  background-color: #f3f3f3;
  border: 1px solid #bdbdbd;
  border-radius: 5px;
}
@media (min-width: 768px) {
  .student-team-management-wrapper .modal .manage-student-account-list li {
    background-color: transparent;
    border: 0;
    border-radius: 0;
  }
}
.student-team-management-wrapper .modal .manage-student-account-list li .manage-student-account-header {
  font-size: 0.825rem;
}
@media (min-width: 768px) {
  .student-team-management-wrapper .modal .manage-student-account-list li .manage-student-account-header {
    font-size: 1rem;
  }
}
.student-team-management-wrapper .modal .manage-student-account-list li .manage-student-password-container {
  border-top: 0.2rem solid var(--white);
}
@media (min-width: 768px) {
  .student-team-management-wrapper .modal .manage-student-account-list li .manage-student-password-container {
    border-top: 0;
  }
}
@media (min-width: 768px) {
  .student-team-management-wrapper .modal .manage-student-account-list li .temp-student-counter:after {
    content: ".";
  }
}
.student-team-management-wrapper .modal .manage-student-account-list li .student-refresh-button {
  background: transparent;
  border: none;
  color: #376394;
}
.student-team-management-wrapper .modal .manage-student-account-list li.is-invalid input[type=text] {
  border-color: #dc3545;
}
.student-team-management-wrapper .modal .manage-student-account-list li.is-invalid span:not(.temp-student-counter):not(.modified-student-name):not(.temp-student-name):not(.screen-name-mobile-header) {
  color: #dc3545;
}
.student-team-management-wrapper .modal .manage-student-account-list li.is-valid input[type=text] {
  border-color: #28a745;
}
.student-team-management-wrapper .modal .manage-student-account-list li.is-valid span:not(.temp-student-counter):not(.modified-student-name):not(.temp-student-name):not(.screen-name-mobile-header) {
  color: #28a745;
}
.student-team-management-wrapper .modal .update-student-button-container,
.student-team-management-wrapper .modal #preview-student-accounts-buttons,
.student-team-management-wrapper .modal #select-screen-name-student-accounts-buttons {
  gap: 1rem;
}
@media (min-width: 576px) {
  .student-team-management-wrapper .modal .update-student-button-container,
  .student-team-management-wrapper .modal #preview-student-accounts-buttons,
  .student-team-management-wrapper .modal #select-screen-name-student-accounts-buttons {
    justify-content: space-evenly;
  }
}
.student-team-management-wrapper #create-student-modal #create-student-management-section select {
  width: 100%;
}
@media (min-width: 768px) {
  .student-team-management-wrapper #create-student-modal #create-student-management-section select {
    width: auto;
  }
}
.student-team-management-wrapper #create-student-modal #create-student-management-section .text-underline {
  text-decoration: underline;
}
.student-team-management-wrapper #create-student-modal #create-student-screen-name-section .text-underline {
  text-decoration: underline;
}
.student-team-management-wrapper #create-student-modal #create-student-preview-section div.error-message span {
  color: var(--red);
}
.student-team-management-wrapper #create-student-modal #create-student-accounts-screen-names label {
  font-size: 1rem;
}
.student-team-management-wrapper #create-student-modal #create-students-instructions-sample-table > thead th:first-child {
  padding-left: 1.25rem;
}
.student-team-management-wrapper #create-student-modal #create-students-instructions-sample-table > tbody th {
  font-weight: 400;
  text-align: left;
}
.student-team-management-wrapper #create-student-modal #manage-student-created-student-details-table > thead th {
  font-weight: 600;
}
.student-team-management-wrapper #create-student-modal #manage-student-created-student-details-table > thead tr {
  height: 2rem;
}
.student-team-management-wrapper #create-student-modal #manage-student-created-student-details-table > tbody {
  height: 3rem;
}
.student-team-management-wrapper #create-student-modal #manage-student-created-student-details-table > tbody td {
  vertical-align: middle;
}
.student-team-management-wrapper #create-student-modal #create-student-instructions-button-section button {
  color: var(--primary);
}
.student-team-management-wrapper #create-student-modal #create-student-instructions-button-section #create-student-instructions-button.hover span,
.student-team-management-wrapper #create-student-modal #create-student-instructions-button-section #create-student-instructions-button:hover span,
.student-team-management-wrapper #create-student-modal #create-student-instructions-button-section #create-student-instructions-button:focus span {
  text-decoration: underline;
}
.student-team-management-wrapper #reset-student-passwords-modal .dataTables_wrapper {
  margin-bottom: 0;
}
.student-team-management-wrapper #reset-student-passwords-modal .dataTables_wrapper#modify-student-passwords-selection-table_wrapper thead {
  display: none;
}
.student-team-management-wrapper #reset-student-passwords-modal .dataTables_wrapper tbody tr {
  height: 3rem;
}
.student-team-management-wrapper #reset-student-passwords-modal .dataTables_wrapper tbody tr td {
  padding-left: 0;
  border-bottom: transparent;
  vertical-align: middle;
  text-align: left;
}
.student-team-management-wrapper #reset-student-passwords-modal .dataTables_wrapper#modify-student-passwords-selection-table_wrapper #table-page-info {
  padding-left: 0.5rem;
}
.student-team-management-wrapper #reset-student-passwords-modal .dataTables_wrapper#modify-student-passwords-selection-table_wrapper #table-page-info > div > div {
  padding: 0;
}
.student-team-management-wrapper #reset-student-passwords-modal .dataTables_wrapper#modify-student-passwords-selection-table_wrapper #table-page-info .disabled * {
  cursor: not-allowed;
}
.student-team-management-wrapper #reset-student-passwords-modal .student-account-screenname,
.student-team-management-wrapper #reset-student-passwords-modal .student-account-email,
.student-team-management-wrapper #reset-student-passwords-modal .modified-student-name {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}
.student-team-management-wrapper #manage-existing-students-modal .modal-content .close {
  position: absolute;
  top: 6px;
  right: 9px;
  color: #644223;
  z-index: 1;
}
.student-team-management-wrapper #manage-existing-students-modal .modal-content .close:not(:disabled):not(.disabled):hover {
  opacity: 0.75;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper {
  margin-bottom: 0;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper {
  border: 0.063rem #c9c9c8 solid;
  min-height: 200px;
  background-color: #eeeeee;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper tr {
  background-color: #FFFFFF;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper tr .dropdown {
  top: -200%;
  right: 100%;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper tr:last-child .dropdown {
  top: unset;
  bottom: 0;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper tr:first-child .dropdown {
  top: -200%;
  right: 100%;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table tbody tr, .student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table thead tr {
  height: 3rem;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table thead tr th {
  padding-left: 0;
  padding-right: 0;
  vertical-align: middle;
  text-align: center;
  font-weight: 600;
  font-size: 1rem;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table thead tr th:last-child {
  border-right: transparent;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table tbody tr td {
  padding-left: 0;
  padding-right: 0;
  vertical-align: middle;
  text-align: center;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table tbody tr td .dropdown {
  z-index: 100;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table tbody tr td .dropdown .dropdown-toggle:hover {
  background-color: #f7f8f9;
  border-radius: 4px;
  color: #272833;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table tbody tr td:last-child {
  border-right: transparent;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table tbody tr td .dropdown-btn-container .dropdown-toggle {
  white-space: nowrap;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table tbody tr td .dropdown-btn-container .modify-existing-student-account-list-button:hover, .student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table tbody tr td .dropdown-btn-container .modify-existing-student-account-list-button:focus,
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table tbody tr td .dropdown-btn-container .modify-existing-students-menu-button:hover,
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table tbody tr td .dropdown-btn-container .modify-existing-students-menu-button:focus {
  box-shadow: inset 0 0 0 0.125rem #80acff, inset 0 0 0 0.25rem #FFF;
  outline: 0;
  text-decoration: none;
  background-color: #f0f5ff;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper .table-wrapper #modify-student-accounts-selection-table tbody tr td .dropdown-btn-container .manage-student-account-dropdown-menu .modify-existing-student-account-list-button {
  white-space: nowrap;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper#modify-student-accounts-selection-table_wrapper #table-page-info > div > div {
  padding: 0;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper#modify-student-accounts-selection-table_wrapper #table-page-info .disabled * {
  cursor: not-allowed;
}
.student-team-management-wrapper #manage-existing-students-modal .dataTables_wrapper#modify-student-accounts-selection-table_wrapper #table-page-info .disabled:hover {
  text-decoration: none;
}
.student-team-management-wrapper #manage-existing-students-modal .is-valid {
  color: #28a745;
}
.student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-password #manage-student-password-page {
  background-color: #f3f3f3;
  border: 1px solid #bdbdbd;
  border-radius: 5px;
}
.student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-password #manage-student-password-page #manage-student-password-error-message .is-invalid {
  color: #dc3545;
}
.student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-password #manage-student-password-page #manage-student-password-screen-name .manage-student-account-header,
.student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-password #manage-student-password-page #manage-student-password-input .manage-student-account-header {
  font-size: 0.825rem;
}
.student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-password #manage-student-password-input {
  border-top: 0.2rem solid var(--white);
}
@media (min-width: 768px) {
  .student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-password #manage-student-password-input {
    border-top: none;
  }
}
.student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-password-screen-name #manage-student-account-header {
  font-weight: 600;
}
.student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-school #manage-student-select-school-page {
  background-color: #f3f3f3;
  border: 1px solid #bdbdbd;
  border-radius: 5px;
}
.student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-school #manage-student-select-school-page #manage-student-change-school-screen-name-container .manage-student-account-header,
.student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-school #manage-student-select-school-page #manage-student-select-school-select-container .manage-student-account-header {
  font-size: 0.825rem;
}
.student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-school #manage-student-select-school-page #manage-student-select-school-select-container {
  border-top: 0.2rem solid var(--white);
}
.student-team-management-wrapper #manage-existing-students-modal #delete-student-account-page #delete-student-screen-name {
  font-weight: 600;
}
.student-team-management-wrapper #create-student-modal .modal-content .close {
  position: absolute;
  top: 6px;
  right: 9px;
  color: #644223;
}
.student-team-management-wrapper #create-student-modal .modal-content .close:not(:disabled):not(.disabled):hover {
  opacity: 0.75;
}
.student-team-management-wrapper #create-student-modal .modal-content #create-student-instructions-button-section .instruction-btn {
  font-size: 1rem;
  background-color: unset;
  color: #004ca1;
  border: none;
}
.student-team-management-wrapper #create-student-modal .modal-content #create-student-instructions-button-section .instruction-btn.hover,
.student-team-management-wrapper #create-student-modal .modal-content #create-student-instructions-button-section .instruction-btn:hover,
.student-team-management-wrapper #create-student-modal .modal-content #create-student-instructions-button-section .instruction-btn:focus {
  text-decoration: underline;
}
.student-team-management-wrapper #create-student-modal .modal-content #create-student-buttons-container button,
.student-team-management-wrapper #create-student-modal .modal-content #create-student-instructions-button-container button {
  display: flex;
}
.student-team-management-wrapper #create-student-modal .modal-content #create-student-buttons-container .prev-caret::before,
.student-team-management-wrapper #create-student-modal .modal-content #create-student-instructions-button-container .prev-caret::before {
  content: "\f104";
  padding-right: 10px;
}
.student-team-management-wrapper #create-student-modal .modal-content #create-student-buttons-container .next-caret::after,
.student-team-management-wrapper #create-student-modal .modal-content #create-student-instructions-button-container .next-caret::after {
  content: "\f105";
  padding-left: 10px;
}
.student-team-management-wrapper #create-student-modal .modal-content #create-student-buttons-container .next-caret::after,
.student-team-management-wrapper #create-student-modal .modal-content #create-student-buttons-container .prev-caret::before,
.student-team-management-wrapper #create-student-modal .modal-content #create-student-instructions-button-container .next-caret::after,
.student-team-management-wrapper #create-student-modal .modal-content #create-student-instructions-button-container .prev-caret::before {
  font-family: "fontawesome-alloy";
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  text-decoration: inherit;
  display: inline-block;
  speak: none;
  font-size: 1.35rem;
}
.student-team-management-wrapper #create-student-modal #create-students-accounts-preview-button {
  gap: 1rem;
}
.student-team-management-wrapper #student-settings-modal .form-check .form-check-input[type=radio],
.student-team-management-wrapper #reset-student-passwords-modal .form-check .form-check-input[type=radio] {
  height: 18px;
  width: 18px;
}
.student-team-management-wrapper #student-settings-modal .form-check .form-check-input,
.student-team-management-wrapper #reset-student-passwords-modal .form-check .form-check-input {
  position: absolute;
  top: 4px;
  margin: 0;
  z-index: 1;
  transition: background-color 0.2s;
}
.student-team-management-wrapper #student-settings-modal .form-check .form-check-input.form-check-input--enable,
.student-team-management-wrapper #student-settings-modal .form-check .form-check-input.form-check-input--disable,
.student-team-management-wrapper #reset-student-passwords-modal .form-check .form-check-input.form-check-input--enable,
.student-team-management-wrapper #reset-student-passwords-modal .form-check .form-check-input.form-check-input--disable {
  left: 10px;
  top: 20px;
}
.student-team-management-wrapper #student-settings-modal .form-check .form-check-input[type=radio]:before,
.student-team-management-wrapper #reset-student-passwords-modal .form-check .form-check-input[type=radio]:before {
  content: "";
  height: 18px;
  width: 18px;
  position: absolute;
  border-radius: 50%;
  pointer-events: none;
  border: 1px solid #376394;
  box-shadow: 0 0 0 1px #fff;
}
.student-team-management-wrapper #student-settings-modal .form-check .form-check-input.hover + .form-check-label,
.student-team-management-wrapper #student-settings-modal .form-check .form-check-input:hover + .form-check-label,
.student-team-management-wrapper #student-settings-modal .form-check .form-check-input:focus + .form-check-label,
.student-team-management-wrapper #reset-student-passwords-modal .form-check .form-check-input.hover + .form-check-label,
.student-team-management-wrapper #reset-student-passwords-modal .form-check .form-check-input:hover + .form-check-label,
.student-team-management-wrapper #reset-student-passwords-modal .form-check .form-check-input:focus + .form-check-label {
  color: #ffffff;
  background-color: #376394;
  border-radius: 6px;
}
.student-team-management-wrapper #student-settings-modal .form-check .form-check-label,
.student-team-management-wrapper #reset-student-passwords-modal .form-check .form-check-label {
  padding: 0.5rem 0.5rem 0.5rem 2.5rem !important;
  margin-left: unset !important;
  margin-bottom: 0.25rem;
  margin-right: unset !important;
}
.student-team-management-wrapper #student-settings-modal .form-check--gap,
.student-team-management-wrapper #reset-student-passwords-modal .form-check--gap {
  gap: 1rem;
}
.student-team-management-wrapper #student-settings-modal .prev-caret::before,
.student-team-management-wrapper #reset-student-passwords-modal .prev-caret::before {
  content: "\f104";
  padding-right: 10px;
}
.student-team-management-wrapper #student-settings-modal .next-caret::after,
.student-team-management-wrapper #reset-student-passwords-modal .next-caret::after {
  content: "\f105";
  padding-left: 10px;
}
.student-team-management-wrapper #student-settings-modal .next-caret::after,
.student-team-management-wrapper #student-settings-modal .prev-caret::before,
.student-team-management-wrapper #reset-student-passwords-modal .next-caret::after,
.student-team-management-wrapper #reset-student-passwords-modal .prev-caret::before {
  font-family: "fontawesome-alloy";
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  text-decoration: inherit;
  display: inline-block;
  speak: none;
  font-size: 1.35rem;
}
.student-team-management-wrapper #student-settings-modal .modal-content .close,
.student-team-management-wrapper #reset-student-passwords-modal .modal-content .close {
  position: absolute;
  top: 6px;
  right: 9px;
  color: #644223;
}
.student-team-management-wrapper #student-settings-modal .modal-content .close:not(:disabled):not(.disabled):hover,
.student-team-management-wrapper #reset-student-passwords-modal .modal-content .close:not(:disabled):not(.disabled):hover {
  opacity: 0.75;
}
.student-team-management-wrapper #student-settings-modal #student-options-change-update-message.error-message span,
.student-team-management-wrapper #reset-student-passwords-modal #student-options-change-update-message.error-message span {
  color: var(--red);
}
.student-team-management-wrapper #student-settings-modal #student-options-change-update-message.success-message span,
.student-team-management-wrapper #reset-student-passwords-modal #student-options-change-update-message.success-message span {
  color: var(--green);
}
.student-team-management-wrapper #reset-student-passwords-modal #student-reset-passwords-button-container .student-reset-btn-container {
  gap: 1rem;
}
.student-team-management-wrapper #reset-student-passwords-modal #modify-student-passwords-selection-table tr input {
  position: absolute;
  left: 0.5rem;
  z-index: 1;
  margin: 11px 0 0;
}
.student-team-management-wrapper #reset-student-passwords-modal #modify-student-passwords-selection-table tr input[type=checkbox] {
  height: 18px;
  width: 18px;
}
.student-team-management-wrapper #reset-student-passwords-modal #modify-student-passwords-selection-table tr label {
  width: 100%;
  padding: 0.5rem 0.5rem 0.5rem 2.5rem !important;
  margin-left: unset !important;
  margin-bottom: 0.25rem;
  margin-right: unset !important;
  transition: background-color 0.2s;
  border-radius: 6px;
  line-height: 1.5;
}
.student-team-management-wrapper #reset-student-passwords-modal #modify-student-passwords-selection-table tr label:hover,
.student-team-management-wrapper #reset-student-passwords-modal #modify-student-passwords-selection-table tr label.hover,
.student-team-management-wrapper #reset-student-passwords-modal #modify-student-passwords-selection-table tr input.hover ~ .tr label,
.student-team-management-wrapper #reset-student-passwords-modal #modify-student-passwords-selection-table tr input:hover ~ .tr label,
.student-team-management-wrapper #reset-student-passwords-modal #modify-student-passwords-selection-table tr input:focus ~ .tr label {
  color: #ffffff;
  background-color: #376394;
}
.student-team-management-wrapper #reset-student-passwords-modal #modify-student-passwords-selection-table_paginate .paginate_button {
  padding: 0.375rem 0.75rem !important;
  background-color: unset !important;
  border: unset !important;
}
.student-team-management-wrapper #reset-student-passwords-modal #modify-student-passwords-selection-table_paginate .paginate_button.next {
  padding-left: 0.75rem !important;
}
.student-team-management-wrapper #reset-student-passwords-modal .select-all-password--input {
  position: absolute;
  left: 0.5rem;
  top: 13px;
  z-index: 1;
  margin: 0.5rem 0 0;
}
.student-team-management-wrapper #reset-student-passwords-modal input.select-all-password--input[type=checkbox] {
  height: 18px;
  width: 18px;
}
.student-team-management-wrapper #reset-student-passwords-modal .select-all-password--label {
  padding: 0.5rem 0.5rem 0.5rem 2.5rem !important;
  margin-left: unset !important;
  margin-bottom: 0.25rem;
  margin-right: unset !important;
  transition: background-color 0.2s;
  width: 100%;
  border-radius: 6px;
}
.student-team-management-wrapper #reset-student-passwords-modal .select-all-password--input:hover ~ .select-all-password--label,
.student-team-management-wrapper #reset-student-passwords-modal .select-all-password--input:focus ~ .select-all-password--label {
  color: #ffffff;
  background-color: #376394;
  border-radius: 6px;
}
.student-team-management-wrapper #reset-student-passwords-modal #exit-modify-student-accounts-popup-button {
  width: 5rem;
}
.student-team-management-wrapper #reset-student-passwords-modal .modal-content .modal-footer {
  padding: 0 1.5rem;
}
.student-team-management-wrapper #create-students-instructions-sample-table thead th {
  font-weight: 600;
}
.student-team-management-wrapper #modified-student-passwords-details-table thead .userid,
.student-team-management-wrapper #modified-student-passwords-details-table thead .screenname,
.student-team-management-wrapper #modified-student-passwords-details-table thead .email,
.student-team-management-wrapper #modified-student-passwords-details-table thead .password {
  font-weight: 600;
}
.student-team-management-wrapper .dataTables_paginate {
  margin-top: 0;
}
.student-team-management-wrapper .dataTables_paginate ul.pagination {
  padding-top: 0 !important;
  justify-content: center !important;
}
.student-team-management-wrapper .dataTables_paginate ul.pagination .paginate_button {
  background-color: unset;
  border: unset;
}

@media (min-width: 576px) {
  #manage-existing-students-modal .dataTables_wrapper .table-wrapper thead tr th {
    font-size: 1.125rem;
  }
  .student-team-management-wrapper .dataTables_paginate ul.pagination {
    justify-content: flex-end !important;
  }
}
@media (min-width: 768px) {
  .student-team-management-wrapper #student-settings-modal .form-check .form-check-input.form-check-input--enable,
  .student-team-management-wrapper #student-settings-modal .form-check .form-check-input.form-check-input--disable {
    top: 22px;
  }
  #create-student-preview-accounts-section .temp-student-container .temp-student-label-container .counter-refresh {
    order: 0;
  }
  #create-student-preview-accounts-section .temp-student-container .temp-student-label-container .counter-refresh .temp-student-counter {
    order: 1;
  }
  #create-student-preview-accounts-section .temp-student-container .temp-student-label-container .counter-refresh .student-refresh-button {
    order: 0;
  }
  #create-student-preview-accounts-section .temp-student-container .temp-student-label-container .screen-name {
    order: 1;
  }
  .student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-password #manage-student-password-page #manage-student-password-screen-name .manage-student-account-header,
  .student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-password #manage-student-password-page #manage-student-password-input .manage-student-account-header {
    font-size: 1.125rem;
    white-space: nowrap;
  }
  .student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-school #manage-student-select-school-page #manage-student-change-school-screen-name-container .manage-student-account-header,
  .student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-school #manage-student-select-school-page #manage-student-select-school-select-container .manage-student-account-header {
    font-size: 1.125rem;
  }
  .student-team-management-wrapper #manage-existing-students-modal #manage-students-section-container #manage-student-change-school #manage-student-select-school-page #manage-student-select-school-select-container {
    border-top: none;
  }
}
@media (min-width: 992px) {
  .student-team-management-wrapper #create-student-modal .modal-content .close,
  .student-team-management-wrapper #student-settings-modal .modal-content .close,
  .student-team-management-wrapper #reset-student-passwords-modal .modal-content .close,
  .student-team-management-wrapper #manage-existing-students-modal .modal-content .close {
    top: 15px;
    right: 18px;
  }
  .student-team-management-wrapper .modal #create-student-preview-account-details #create-student-preview-refresh-button .create-student-preview-refresh {
    justify-content: flex-start;
  }
  .student-team-management-wrapper .modal #create-student-preview-account-details #create-student-preview-refresh-button .create-student-preview-refresh #create-student-preview-refresh-all {
    width: 75%;
  }
}
.modal {
  display: none !important; /* Hide all modals by default */
}

.modal.show {
  display: block !important; /* Only the modal with the 'show' class is visible */
}

.student-team-management-wrapper .title-container {
  display: flex;
  align-items: end;
  margin-bottom: 1.5rem;
}
@media (max-width: 830px) {
  .student-team-management-wrapper .title-container {
    display: block;
  }
}
@media (max-width: 830px) {
  .student-team-management-wrapper .portlet-title.portlet-title-member {
    padding-bottom: 0;
  }
}
.student-team-management-wrapper #teacher-student-members-table-row {
  transition: max-height 0.45s ease-out;
  max-height: 250px;
}
.student-team-management-wrapper #teacher-student-members-table-row[data-direction=open] {
  transition: max-height 0.45s ease-in;
  max-height: 100%;
  margin-bottom: 1rem;
}
.student-team-management-wrapper #show-more-student-team-members-table {
  bottom: 0;
}
.student-team-management-wrapper #show-more-student-team-members-table #show-more-top-padding {
  z-index: 1;
}
.student-team-management-wrapper #show-more-student-team-members-table #show-more-student-team-members-button {
  color: #376394;
  cursor: pointer;
  padding: 0 0.7rem;
}
.student-team-management-wrapper #show-more-student-team-members-table .show-more-border {
  border-top: 1px solid #376394;
}
.student-team-management-wrapper #show-more-student-team-members-table svg {
  height: 0.6rem;
  width: 0.6rem;
  margin-top: 0.075rem;
  transition: transform 200ms ease-in;
}
.student-team-management-wrapper #show-more-student-team-members-table[data-direction=open] #show-more-top-padding {
  display: none;
}
.student-team-management-wrapper #show-more-student-team-members-table[data-direction=open] svg {
  transform: rotateX(180deg);
}
.student-team-management-wrapper #show-more-student-team-members-table[data-direction=close] {
  background: linear-gradient(rgba(255, 255, 255, 0.5) 50%, rgb(255, 255, 255) 50%);
}
.student-team-management-wrapper #show-more-student-team-members-table[data-direction=close] svg {
  transform: rotateX(0deg);
}
.student-team-management-wrapper #members-table_wrapper {
  margin-bottom: 0;
}
.student-team-management-wrapper #members-table_wrapper > .table-wrapper {
  overflow-x: auto;
}
.student-team-management-wrapper #members-table_wrapper .dataTables_empty {
  vertical-align: middle;
  text-align: center;
}
.student-team-management-wrapper #members-table_wrapper tr .last-entered-date-row {
  text-align: right;
}
.student-team-management-wrapper #members-table_wrapper tr th, .student-team-management-wrapper #members-table_wrapper tr td {
  padding: 1rem 0;
}
.student-team-management-wrapper #members-table_wrapper tr th .member-name, .student-team-management-wrapper #members-table_wrapper tr th .member-team-container, .student-team-management-wrapper #members-table_wrapper tr td .member-name, .student-team-management-wrapper #members-table_wrapper tr td .member-team-container {
  width: 300px;
}
@media (max-width: 1200px) {
  .student-team-management-wrapper #members-table_wrapper tr th .member-name, .student-team-management-wrapper #members-table_wrapper tr th .member-team-container, .student-team-management-wrapper #members-table_wrapper tr td .member-name, .student-team-management-wrapper #members-table_wrapper tr td .member-team-container {
    width: 250px;
  }
}
@media (max-width: 830px) {
  .student-team-management-wrapper #members-table_wrapper tr th .member-name, .student-team-management-wrapper #members-table_wrapper tr th .member-team-container, .student-team-management-wrapper #members-table_wrapper tr td .member-name, .student-team-management-wrapper #members-table_wrapper tr td .member-team-container {
    width: 200px;
  }
}
.student-team-management-wrapper #members-table_wrapper tr th .protocol-observations, .student-team-management-wrapper #members-table_wrapper tr td .protocol-observations {
  margin: 0px 20px;
}
@media (max-width: 830px) {
  .student-team-management-wrapper #members-table_wrapper tr th .protocol-observations, .student-team-management-wrapper #members-table_wrapper tr td .protocol-observations {
    margin: 0px 15px;
  }
}
@media (max-width: 500px) {
  .student-team-management-wrapper #members-table_wrapper tr th .protocol-observations, .student-team-management-wrapper #members-table_wrapper tr td .protocol-observations {
    margin: 0px 10px;
  }
}
.student-team-management-wrapper #members-table_wrapper tr th {
  min-width: 175px;
}
.student-team-management-wrapper #members-table_wrapper tr th:nth-child(2), .student-team-management-wrapper #members-table_wrapper tr th:nth-child(3) {
  min-width: 300px;
}
.student-team-management-wrapper #members-table_wrapper tr td .members-cell-show-hide {
  color: #1b5eb2;
}
.student-team-management-wrapper #members-table_wrapper tr td .members-cell-show-hide:hover {
  cursor: pointer;
}
.student-team-management-wrapper #members-table_wrapper tr td .members-cell-show-hide svg {
  height: 0.625rem;
  width: 0.625rem;
  margin-top: 0.075rem;
  transition: transform 200ms ease-in;
}
.student-team-management-wrapper #members-table_wrapper tr td .members-cell-show-hide[data-direction=open] svg {
  transform: rotateX(180deg);
}
.student-team-management-wrapper #members-table_wrapper tr td .members-cell-show-hide[data-direction=close] svg {
  transform: rotateX(0deg);
}
.student-team-management-wrapper #members-table_wrapper tr td .observations {
  padding-left: 1rem;
}
@media (min-width: 768px) {
  .student-team-management-wrapper #members-table_wrapper tr td .observations {
    margin-right: 20px;
  }
}
@media (min-width: 576px) {
  .student-team-management-wrapper #members-table_wrapper tr * {
    font-size: 1rem;
  }
}
@media (min-width: 768px) {
  .student-team-management-wrapper #members-table_wrapper tr * {
    font-size: 1.125rem;
  }
}
@media (min-width: 992px) {
  .student-team-management-wrapper #members-table_wrapper tr * {
    font-size: 1.25rem;
  }
}
.student-team-management-wrapper #members-table_wrapper .dataTables_length label {
  font-weight: 400;
  margin-top: 6px;
  padding-top: 3px;
}

#tooltipContainer.manage-student-password-tooltip {
  position: absolute;
  background-color: black;
  color: white;
  padding: 10px;
  border-radius: 5px;
  max-width: 500px;
  z-index: 2000;
  text-align: left;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}